import java.util.Scanner;

public class TriangleProgram {
    public static void main(String[] args) {
        try {
            Scanner scanner = new Scanner(System.in);

            System.out.println("Въведете страни на триъгълника:");
            System.out.print("a = ");
            int a = readSide(scanner.nextLine().replaceAll("\\D", ""));
            System.out.print("b = ");
            int b = readSide(scanner.nextLine());
            System.out.print("c = ");
            int c = readSide(scanner.nextLine());

            if (isValidTriangle(a, b, c)) {
                if (isEquilateralTriangle(a, b, c)) {
                    System.out.println("Това е равностранен триъгълник.");
                } else if (isIsoscelesTriangle(a, b, c)) {
                    System.out.println("Това е равнобедрен триъгълник.");
                } else {
                    System.out.println("Това е обикновен триъгълник.");
                }
            } else {
                System.out.println("Това не е валиден триъгълник.");
            }
        } catch (Exception e) {
            System.out.println("Something went wrong!");
        }
    }

    static int readSide(String input) {
        try {
            return Integer.parseInt(input);
        } catch (NumberFormatException e) {
            throw new IllegalArgumentException("Грешка при въвеждане на страна на триъгълника.");
        }
    }

    static boolean isValidTriangle(int a, int b, int c) {
        return a + b > c && a + c > b && b + c > a;
    }

    static boolean isEquilateralTriangle(int a, int b, int c) {
        return a == b && b == c;
    }

    static boolean isIsoscelesTriangle(int a, int b, int c) {
        return a == b || b == c || a == c;
    }
}

