import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        OnlineStore myStore = new OnlineStore();
        Scanner scanner = new Scanner(System.in);

        System.out.println("Enter product information for Laptop (ID Name Price StockQuantity):");
        String[] laptopInfo = scanner.nextLine().split(" ");
        Product laptop = new Product(Integer.parseInt(laptopInfo[0]), laptopInfo[1], Double.parseDouble(laptopInfo[2]), Integer.parseInt(laptopInfo[3]));
        myStore.Products.add(laptop);

        System.out.println("Enter product information for Smartphone (ID Name Price StockQuantity):");
        String[] smartphoneInfo = scanner.nextLine().split(" ");
        Product smartphone = new Product(Integer.parseInt(smartphoneInfo[0]), smartphoneInfo[1], Double.parseDouble(smartphoneInfo[2]), Integer.parseInt(smartphoneInfo[3]));
        myStore.Products.add(smartphone);

        System.out.println("Enter customer name:");
        String customerName = scanner.nextLine();
        System.out.println("Enter customer address:");
        String customerAddress = scanner.nextLine();
        Customer customer = new Customer();
        customer.ID = 1;
        customer.Name = customerName;
        customer.Address = customerAddress;
        myStore.Customers.add(customer);

        myStore.displayProductList();

        System.out.println("Enter the product ID you want to order:");
        int selectedProductID = scanner.nextInt();

        Product selectedProduct = null;
        for (Product product : myStore.Products) {
            if (product.ID == selectedProductID) {
                selectedProduct = product;
                break;
            }
        }

        if (selectedProduct != null) {
            customer.placeOrder(selectedProduct);
            myStore.displayCustomerPurchasedProducts(customer);
        } else {
            System.out.println("Invalid product ID.");
        }
    }
}

class Product {
    int ID;
    String Name;
    double Price;
    int StockQuantity;

    public Product(int ID, String Name, double Price, int StockQuantity) {
        this.ID = ID;
        this.Name = Name;
        this.Price = Price;
        this.StockQuantity = StockQuantity;
    }

    void displayInfo() {
        System.out.println(ID + ". " + Name + " - $" + Price + " - " + StockQuantity + " in stock");
    }
}

class Customer {
    int ID;
    String Name;
    String Address;
    List<Product> PurchasedProducts = new ArrayList<>();

    void placeOrder(Product product) {
        if (product.StockQuantity > 0) {
            PurchasedProducts.add(product);
            product.StockQuantity--;
            System.out.println("Order placed successfully. Total amount: $" + product.Price);
        } else {
            System.out.println("Product out of stock.");
        }
    }
}

class Order {
    int ID;
    String OrderDate;
    Customer Customer;
    List<Product> OrderedProducts = new ArrayList<>();
}

class OnlineStore {
    List<Product> Products = new ArrayList<>();
    List<Customer> Customers = new ArrayList<>();
    List<Order> Orders = new ArrayList<>();

    void displayProductList() {
        System.out.println("Available products:");
        for (Product product : Products) {
            product.displayInfo();
        }
    }

    void displayCustomerPurchasedProducts(Customer customer) {
        System.out.println("Customer's Purchased Products:");
        for (Product purchasedProduct : customer.PurchasedProducts) {
            System.out.println(purchasedProduct.Name);
        }
    }
}
